Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.editorpane
Class EditorPaneComponent

    java.lang.Object
      edu.stanford.smi.protegex.widget.editorpane.EditorPaneComponent

    public class EditorPaneComponent

extends Object

Constructor Summary
`EditorPaneComponent()`

Method Summary
`EditorPaneLinkDetector` | `createEditorPaneLinkDetector()`
`EditorPaneLinkDetector` | `createEditorPaneLinkDetector(boolean editable, boolean detectEnter)`
`protected Action` | `createILAction()`
`protected JMenuItem` | `createShowAllInstancesAction()`
`LabeledComponent` | `createUI(EditorPaneLinkDetector e)`
`ActionListener` | `getAddInternalLinkActionListener()`
`AllowableAction` | `getBoldAction()`
`AllowableAction` | `getEditorPaneHelpAction()`
`AllowableAction` | `getHighligherAction()`
`AllowableAction` | `getHighlightAction()`
`AllowableAction` | `getHTMLHighlightAction()`
`AllowableAction` | `getInsertImageAction()`
`AllowableAction` | `getItalicsAction()`
`AllowableAction` | `getStrikeThroughAction()`
`AllowableAction` | `getUnderlineAction()`
`AllowableAction` | `getUnhighlightAction()`
`String` | `insertBRForNewline(String s)`
`void` | `setOWLMode(boolean o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorPaneComponent

    public EditorPaneComponent()

Method Detail

### createEditorPaneLinkDetector

    public EditorPaneLinkDetector createEditorPaneLinkDetector()

### createEditorPaneLinkDetector

    public EditorPaneLinkDetector createEditorPaneLinkDetector(boolean editable,
                                                               boolean detectEnter)

### createUI

    public LabeledComponent createUI(EditorPaneLinkDetector e)

### createILAction

    protected Action createILAction()

### createShowAllInstancesAction

    protected JMenuItem createShowAllInstancesAction()

### setOWLMode

    public void setOWLMode(boolean o)

### getAddInternalLinkActionListener

    public ActionListener getAddInternalLinkActionListener()

### getHTMLHighlightAction

    public AllowableAction getHTMLHighlightAction()

### getHighligherAction

    public AllowableAction getHighligherAction()

### getUnhighlightAction

    public AllowableAction getUnhighlightAction()

### getHighlightAction

    public AllowableAction getHighlightAction()

### getBoldAction

    public AllowableAction getBoldAction()

### getItalicsAction

    public AllowableAction getItalicsAction()

### getUnderlineAction

    public AllowableAction getUnderlineAction()

### getEditorPaneHelpAction

    public AllowableAction getEditorPaneHelpAction()

### getStrikeThroughAction

    public AllowableAction getStrikeThroughAction()

### getInsertImageAction

    public AllowableAction getInsertImageAction()

### insertBRForNewline

    public String insertBRForNewline(String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request